/*
 * @Author: Kane
 * 
 * @Date: 2025-03-06 14:17:24
 * 
 * @LastEditors: Kane
 * 
 * @FilePath: /cpicxim-XMNHSA-repeater/src/main/java/com/cpic/xim/huixiabao/data/pojo/NHACommenRequestBody.java
 * 
 * @Description: 易联众请求共通报文结构
 *
 * Copyright (c) ${2023} by Kane, All Rights Reserved.
 */
package com.cpic.xim.huixiabao.data.pojo;

public class NHACommenRequestBody
{

   public String getChs_fjs_appid()
   {
      return chs_fjs_appid;
   }

   public void setChs_fjs_appid( String chs_fjs_appid )
   {
      this.chs_fjs_appid = chs_fjs_appid;
   }

   public String getChs_fjs_appsecret()
   {
      return chs_fjs_appsecret;
   }

   public void setChs_fjs_appsecret( String chs_fjs_appsecret )
   {
      this.chs_fjs_appsecret = chs_fjs_appsecret;
   }

   public String getChs_fjs_token()
   {
      return chs_fjs_token;
   }

   public void setChs_fjs_token( String chs_fjs_token )
   {
      this.chs_fjs_token = chs_fjs_token;
   }

   public String getChs_fjs_funid()
   {
      return chs_fjs_funid;
   }

   public void setChs_fjs_funid( String chs_fjs_funid )
   {
      this.chs_fjs_funid = chs_fjs_funid;
   }

   public String getChs_fjs_encdata()
   {
      return chs_fjs_encdata;
   }

   public void setChs_fjs_encdata( String chs_fjs_encdata )
   {
      this.chs_fjs_encdata = chs_fjs_encdata;
   }

   public String getChs_fjs_sign()
   {
      return chs_fjs_sign;
   }

   public void setChs_fjs_sign( String chs_fjs_sign )
   {
      this.chs_fjs_sign = chs_fjs_sign;
   }

   public int getChs_fjs_timestamp()
   {
      return chs_fjs_timestamp;
   }

   public void setChs_fjs_timestamp( int chs_fjs_timestamp )
   {
      this.chs_fjs_timestamp = chs_fjs_timestamp;
   }

   public String getData()
   {
      return data;
   }

   public void setData( String data )
   {
      this.data = data;
   }

   private String chs_fjs_appid; // 渠道id
   private String chs_fjs_appsecret; // 渠道私钥
   private String chs_fjs_token; // 请求时携带的动态令牌
   private String chs_fjs_funid; // 服务编号
   private String chs_fjs_encdata; // 加密后的数据
   private String chs_fjs_sign; // 签名数据串
   private String data; // 未加密的数据
   private int    chs_fjs_timestamp; // 时间戳

}
